Agent Governance Protocol
API ReferenceRegistry APIDelegations

Get delegation chain entry

GET
/agp/delegations/{delegationId}

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Path Parameters

delegationId*string

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/agp/delegations/string"
{  "type": "DelegationChain",  "delegation_id": "string",  "parent_delegation_id": "string",  "root_principal": "string",  "delegator_agent": "string",  "delegate_agent": "string",  "authority_scope": [    "string"  ],  "constraints": {    "spend_limit": {      "currency": "string",      "amount": 0    },    "max_hops_remaining": 0  },  "accepted_at": "2019-08-24T14:15:22Z",  "expires_at": "2019-08-24T14:15:22Z",  "signature_chain": [    "string"  ]}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}